Module org.apache.sis.metadata
Package org.apache.sis.metadata.iso.quality

# Class DefaultEvaluationReportInformation

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
DefaultEvaluationReportInformation

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`

@UML(identifier="DQ_StandaloneQualityReportInformation", specification=UNSPECIFIED) public class DefaultEvaluationReportInformation extends ISOMetadata
Reference to an external standalone quality report. The following property is mandatory in a well-formed metadata according ISO 19157:
`DQ_Element` `├─reportReference……` Reference to the procedure information. `└─abstract………………………` Description of the evaluation method.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  1.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultEvaluationReportInformation()`
  Constructs an initially empty standalone quality report information.
  `DefaultEvaluationReportInformation(DefaultEvaluationReportInformation object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InternationalString`
  `getAbstract()`
  Returns the abstract for the standalone quality report.
  `Citation`
  `getReportReference()`
  Returns the reference to the associated standalone quality report.
  `MetadataStandard`
  `getStandard()`
  Returns the metadata standard, which is ISO 19157.
  `void`
  `setAbstract(InternationalString newValue)`
  Sets the abstract for the associated standalone quality report.
  `void`
  `setReportReference(Citation newValue)`
  Sets the reference to the associated standalone quality report.

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, setIdentifier, transitionTo`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultEvaluationReportInformation

    public DefaultEvaluationReportInformation()
    Constructs an initially empty standalone quality report information.

  - ### DefaultEvaluationReportInformation

    public DefaultEvaluationReportInformation(DefaultEvaluationReportInformation object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.

- ## Method Details

  - ### getReportReference

    @UML(identifier="reportReference", obligation=MANDATORY, specification=UNSPECIFIED) public Citation getReportReference()
    Returns the reference to the associated standalone quality report.
    Returns:
      reference of the standalone quality report.

  - ### setReportReference

    public void setReportReference(Citation newValue)
    Sets the reference to the associated standalone quality report.
    Parameters:
      `newValue` - the new reference.

  - ### getAbstract

    @UML(identifier="abstract", obligation=MANDATORY, specification=UNSPECIFIED) public InternationalString getAbstract()
    Returns the abstract for the standalone quality report.
    Returns:
      abstract of the standalone quality report.

  - ### setAbstract

    public void setAbstract(InternationalString newValue)
    Sets the abstract for the associated standalone quality report.
    Parameters:
      `newValue` - the new abstract.

  - ### getStandard

    public MetadataStandard getStandard()
    Returns the metadata standard, which is ISO 19157.
    Overrides:
      `getStandard` in class `ISOMetadata`
    Returns:
      the metadata standard, which is ISO 19157.